> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Ensure Base Material Item



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/catalog-families/{familyId}/base-material-item
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/catalog-families/{familyId}/base-material-item:
    post:
      tags:
        - Material Finishes
      summary: Ensure Base Material Item
      operationId: MaterialFinishesController_ensureBaseMaterialItem_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: familyId
          required: true
          in: path
          schema:
            type: string
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MaterialFinishResponseDto'
components:
  schemas:
    MaterialFinishResponseDto:
      type: object
      properties:
        id:
          type: string
        familyId:
          type: string
        name:
          type: string
        sku:
          type: string
          nullable: true
        imageId:
          type: string
          nullable: true
        primaryImageUrl:
          type: string
          nullable: true
        isPrimary:
          type: boolean
        isBaseMaterial:
          type: boolean
        columnsAttributes:
          type: object
          additionalProperties: true
        version:
          type: number
        productsCount:
          type: number
        primarySource:
          type: object
          properties:
            id:
              type: string
            version:
              type: number
            columnsAttributes:
              type: object
              additionalProperties: true
          required:
            - id
            - version
            - columnsAttributes
        coreChangePolicy:
          type: object
      required:
        - id
        - familyId
        - name
        - sku
        - imageId
        - primaryImageUrl
        - isPrimary
        - isBaseMaterial
        - columnsAttributes
        - version
        - productsCount
        - primarySource
        - coreChangePolicy

````